# Keep the help strings in sync with the values in the .py files!
west-commands:
  - file: scripts/west_commands/completion.py
    commands:
      - name: completion
        class: Completion
        help: display shell completion scripts
  - file: scripts/west_commands/boards.py
    commands:
      - name: boards
        class: Boards
        help: display information about supported boards
  - file: scripts/west_commands/build.py
    commands:
      - name: build
        class: Build
        help: compile a Zephyr application
  - file: scripts/west_commands/sign.py
    commands:
      - name: sign
        class: Sign
        help: sign a Zephyr binary for bootloader chain-loading
  - file: scripts/west_commands/flash.py
    commands:
      - name: flash
        class: Flash
        help: flash and run a binary on a board
  - file: scripts/west_commands/debug.py
    commands:
      - name: debug
        class: Debug
        help: flash and interactively debug a Zephyr application
      - name: debugserver
        class: DebugServer
        help: connect to board and launch a debug server
      - name: attach
        class: Attach
        help: interactively debug a board
  - file: scripts/west_commands/export.py
    commands:
      - name: zephyr-export
        class: ZephyrExport
        help: export Zephyr installation as a CMake config package
  - file: scripts/west_commands/spdx.py
    commands:
      - name: spdx
        class: ZephyrSpdx
        help: create SPDX bill of materials
